Bug 120445 - File-open ODS: Slower as compared to LibO 4.4.7.2
Summary: File-open ODS: Slower as compared to LibO 4.4.7.2
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords: bibisectRequest, perf, regression
Depends on:
Blocks: File-Opening
  Show dependency treegraph
 
Reported: 2018-10-09 09:50 UTC by Telesto
Modified: 2019-08-10 21:18 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-10-09 09:50:50 UTC
Description:
File-open ODS: Slower as compared to LibO 4.4.7.2

Steps to Reproduce:
1. Open attachment 133791 [details]

Actual Results:
30 seconds with some time processing at 44%

Expected Results:
20 seconds processing with 25% straight


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.2.0.0.alpha0+
Build ID: d9ad59da50c1172fe98f94370221c9c1b688200a
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-10-08_23:34:44
Locale: nl-NL (nl_NL); Calc: CL
Comment 1 m.a.riosv 2018-10-09 22:09:19 UTC
Sorry but use development version to test performance, it's not a good way.

And the whole sheet has direct format what calc doesn't like too much.
Comment 2 Xisco Faulí 2018-11-09 13:43:45 UTC
Hi Telesto,
Could you please check with LibreOffice 6.2. alpha1 instead of with a master build?
Is it slower than 4.4.7.2 ?
Setting to NEEDINFO
Comment 3 Buovjaga 2018-11-22 18:22:27 UTC
Repro comparing 6.1 with master.

Telesto: can you please bibisect this?

(In reply to m.a.riosv from comment #1)
> Sorry but use development version to test performance, it's not a good way.

This only holds true for builds with --enable-debug or --enable-dbgutil. To my knowledge TB42 is not built with these.

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: 750ccfb2a60582a5652c08f3cbb6f11d4c152275
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: gtk3_kde5; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 22 November 2018

Arch Linux 64-bit
Version: 6.1.3.2
Build ID: 6.1.3-2
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: gtk3_kde5; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Comment 4 Commit Notification 2019-04-02 06:22:39 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/7b74a1f41c5dd004e4d3af50b79cfd006ec59ab8%5E%21

tdf#120445 File-open ODS: Slower as compared to LibO 4.4.7.2

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Buovjaga 2019-04-02 07:27:57 UTC
6.2.2:
real    0m17,527s
user    0m19,732s
sys     0m0,300s

master with the above commit:
real    0m10,285s
user    0m13,157s
sys     0m1,437s
Comment 6 Xisco Faulí 2019-04-24 13:01:19 UTC
in my case it went from

real	0m39,997s
user	0m47,420s
sys	0m1,313s

in

Version: 6.2.4.0.0+
Build ID: 1149d20ce9f8682b58f98d3fa3bf289fc5974087
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

to

real	0m17,740s
user	0m23,821s
sys	0m1,278s

in

Version: 6.3.0.0.alpha0+
Build ID: 90e3b47b52f26420425a7417d2f51b6a386282d9
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded